
#include <..\lib\DesktopDraw.au3>
#include <..\lib\Bitmap_String.au3>
#include <ScreenCapture.au3>

Func _Gfx_ScreenCapture($w = -1, $h = -1)
	If $w <= 0 Then $w = @DesktopWidth
	If $h <= 0 Then $h = @DesktopHeight
	; ---
	Local $declared = True
	If Not $ghGDIPDll Then
		_GDIPlus_Startup()
		$declared = False
	EndIf
	; ---
	Local $hBitmap = _Screencapture_Capture()
	Local $bitmap = _GDIPlus_BitmapCreateFromHBitmapEx($hBitmap, $w, $h)
	_WinApi_DeleteObject($hBitmap)
	Local $str = _Bitmap2BinaryString($bitmap, 50)
	_GDIPlus_BitmapDispose($bitmap)
	; ---
	If Not $declared Then _GDIPlus_Shutdown()
	; ---
	Return $str
EndFunc

; ##############################################################

_DesktopDraw_Start()
_DesktopDraw_PenChange($PS_SOLID, 2, 0xFF1111)
OnAutoItExitRegister("__Gfx_Draw_OnExit")
Func __Gfx_Draw_OnExit()
	_DesktopDraw_End()
EndFunc
; ---

Func _Gfx_Circle($x, $y, $r = 40)
	Return _DesktopDraw_Cercle($x, $y, $r)
EndFunc