
#include <ButtonConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>

Enum $__GUI_SHOW, $__GUI_HIDE, $__GUI_CREATE, $__GUI_DELETE

Global $GUI_Main, $E_Chat, $I_Chat, $B_Scr, $I_ScrW, $I_ScrH, $C_AutoScr, $I_Delay, $Dummy
Global $GUI_Connect, $I_IP, $I_Port, $B_Go

Func _GUI_Main($flag = $__GUI_CREATE)
	Switch $flag
		Case $__GUI_CREATE
			$GUI_Main = GUICreate($__ProgName, 242, 228, -1, -1)
				GUISetFont(10, 400, 0, "Calibri")
			$E_Chat = GUICtrlCreateEdit("", 0, 0, 241, 127, BitOR($ES_AUTOVSCROLL,$WS_VSCROLL,$ES_READONLY))
			$I_Chat = GUICtrlCreateInput("", 6, 138, 229, 23)
			$B_Scr = GUICtrlCreateButton("Ecran", 6, 170, 81, 19)
				GuiCtrlSetOnEvent(-1, "_Event_Scr")
			$I_ScrW = GUICtrlCreateInput("", 96, 168, 61, 23)
			$I_ScrH = GUICtrlCreateInput("", 174, 168, 61, 23)
			GUICtrlCreateLabel("X", 162, 174, 11, 19)
			$C_AutoScr = GUICtrlCreateCheckbox("Automatique      Dlai", 12, 199, 133, 17)
				GuiCtrlSetOnEvent(-1, "_Event_AutoScr")
			$I_Delay = GUICtrlCreateInput("", 150, 198, 49, 23)
			GUICtrlCreateLabel("Sec", 210, 201, 22, 19)
			$Dummy = GuiCtrlCreateDummy()
				GuiCtrlSetOnEvent(-1, "_Event_Chat")
			Local $accels[1][2] = [["{enter}", $Dummy]]
			GuiSetAccelerators($accels, $GUI_Main)
			; ---
			GuiSetOnEvent($GUI_EVENT_CLOSE, "_Event_Close", $GUI_Main)
		Case $__GUI_DELETE
			GuiDelete($GUI_Main)
		Case $__GUI_SHOW
			GuiSetState(@SW_SHOW, $GUI_Main)
		Case $__GUI_HIDE
			GuiSetState(@SW_HIDE, $GUI_Main)
	EndSwitch
EndFunc

Func _GUI_Connect($flag = $__GUI_CREATE)
	Switch $flag
		Case $__GUI_CREATE
			$GUI_Connect = GUICreate("Connection", 228, 118)
			$I_IP = GUICtrlCreateInput("", 12, 30, 121, 21)
			$I_Port = GUICtrlCreateInput("", 12, 78, 121, 21)
			$B_Go = GUICtrlCreateButton("Connextion", 144, 30, 67, 67)
			GUICtrlCreateLabel("Adresse IP du serveur", 12, 12, 108, 17)
			GUICtrlCreateLabel("Connexion au port N", 12, 60, 105, 17)
			Local $accels[1][2] = [["{enter}", $B_Go]]
			GuiSetAccelerators($accels, $GUI_Connect)
		Case $__GUI_DELETE
			GuiDelete($GUI_Connect)
		Case $__GUI_SHOW
			GuiSetState(@SW_SHOW, $GUI_Connect)
		Case $__GUI_HIDE
			GuiSetState(@SW_HIDE, $GUI_Connect)
	EndSwitch
EndFunc
