
#include <ButtonConstants.au3>
#include <ComboConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <StaticConstants.au3>
#include <WindowsConstants.au3>

Enum $__GUI_SHOW, $__GUI_HIDE, $__GUI_CREATE, $__GUI_DELETE

Global $GUI_Main, $Pic_Scr, $E_chat, $I_Chat, $E_Console, $B_SendFile, $Dummy
Global $GUI_Init, $C_IP, $I_Port, $B_Init_GO, $B_Init_Quit

Func _GUI_Main($flag = $__GUI_CREATE)
	Switch $flag
		Case $__GUI_CREATE
			$GUI_Main = GUICreate($__ProgName, 1001, 601, 216, 94)
			GUISetFont(10, 400, 0, "Calibri")
			$Pic_Scr = GUICtrlCreatePic("", 0, 0, 800, 600)
				GuiCtrlSetOnEvent(-1, "_Event_ScrClick")
			$E_chat = GUICtrlCreateEdit("", 804, 30, 193, 157, BitOR($ES_AUTOVSCROLL,$WS_VSCROLL,$ES_READONLY))
			$I_Chat = GUICtrlCreateInput("", 804, 192, 193, 23)
			GUICtrlCreateLabel("Console", 810, 372, 47, 19)
			GUICtrlSetFont(-1, 10, 800, 0, "Calibri")
			GUICtrlCreateLabel("Conversation", 810, 6, 76, 19)
			GUICtrlSetFont(-1, 10, 800, 0, "Calibri")
			$E_Console = GUICtrlCreateEdit("", 804, 396, 193, 199, BitOR($ES_AUTOVSCROLL,$WS_VSCROLL,$ES_READONLY))
			GUICtrlCreateLabel("Fonctionnalits", 810, 228, 87, 19)
			GUICtrlSetFont(-1, 10, 800, 0, "Calibri")
			$B_SendFile = GUICtrlCreateButton("Envoi fichier", 810, 252, 81, 19)
				GuiCtrlSetOnEvent(-1, "_Event_SendFile")
			; ---
			$Dummy = GuiCtrlCreateDummy()
				GuiCtrlSetOnEvent(-1, "_Event_Chat")
			Local $accels[1][2] = [["{enter}", $Dummy]]
			GuiSetAccelerators($accels, $GUI_Main)
			GuiSetOnEvent($GUI_EVENT_CLOSE, "_Event_Close")
		Case $__GUI_DELETE
			GuiDelete($GUI_Main)
		Case $__GUI_SHOW
			GuiSetState(@SW_SHOW, $GUI_Main)
		Case $__GUI_HIDE
			GuiSetState(@SW_HIDE, $GUI_Main)
	EndSwitch
EndFunc

Func _GUI_Init($flag = $__GUI_CREATE)
	Switch $flag
		Case $__GUI_CREATE
			$GUI_Init = GUICreate($__ProgName, 250, 118)
				GUISetFont(10, 400, 0, "Calibri")
			GUICtrlCreateLabel("Adresse IP  couter", 18, 15, 115, 18)
			GUICtrlCreateLabel("Port", 18, 69, 25, 18)
			$C_IP = GUICtrlCreateCombo("", 18, 36, 121, 25, BitOR($CBS_DROPDOWN,$CBS_AUTOHSCROLL))
				GuiCtrlSetData(-1, __Gui_GetIp())
			$I_Port = GUICtrlCreateInput("5236", 48, 66, 91, 22, $ES_NUMBER)
			$B_Init_GO = GUICtrlCreateButton("Lancer", 156, 30, 75, 25)
			$B_Init_Quit = GUICtrlCreateButton("Quitter", 156, 66, 75, 25)
		Case $__GUI_DELETE
			GuiDelete($GUI_Init)
		Case $__GUI_SHOW
			GuiSetState(@SW_SHOW, $GUI_Init)
		Case $__GUI_HIDE
			GuiSetState(@SW_HIDE, $GUI_Init)
	EndSwitch
EndFunc

Func __Gui_GetIp()
	Local $str = ""
	If @IPAddress1 <> "0.0.0.0" Then $str &= @IPAddress1 & "|"
	If @IPAddress2 <> "0.0.0.0" Then $str &= @IPAddress2 & "|"
	If @IPAddress3 <> "0.0.0.0" Then $str &= @IPAddress3 & "|"
	If @IPAddress4 <> "0.0.0.0" Then $str &= @IPAddress4 & "|"
	; ---
	If $str <> "" Then
		Return StringTrimRight($str, 1)
	Else
		Return ""
	EndIf
EndFunc